import axios from "@/utils/request";


export function getCollectPoints(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/getList",
    method: "get",
    params: query
  });
}


export function addCollectPoint(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/addCollectPoint",
    method: "post",
    data: query
  });
}

export function updateCollectPoint(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/updateCollectPoint",
    method: "post",
    data: query
  });
}



export function delCollectPoint(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/delCollectPoint",
    method: "post",
    data: query
  });
}




export function getUsers(query) {
  return axios({
    url: "/udiwms/basic/collectPoints/getUsers",
    method: "post",
    data: query
  });
}



//树的数据 后期在加一个js
export function getTree(query) {
  return axios({
    url: "udiwms/basic/collectPoint/category/getTree",
    method: "get",
    data: query
  });
}

export function addTree(query) {
  return axios({
    url: "udiwms/basic/collectPoint/category/addTree",
    method: "post",
    data: query
  });
}


export function updateTree(query) {
  return axios({
    url: "udiwms/basic/collectPoint/category/updateTree",
    method: "post",
    data: query
  });
}


export function deleteTree(query) {
  return axios({
    url: "udiwms/basic/collectPoint/category/deleteTree",
    method: "post",
    data: query
  });
}

